Get Protected Database Details

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseName}

Get details of a protected database on a Recovery Appliance.

Request

Path Parameters
  • Protected database unique name or target name. If the value specified is a database target name in Enterprise Manager, then targetType parameter must also be specified in the URL. If targetType is not specified, this name will be assumed to be the protected database unique name.
    Example:
    PROTDB1
  • Recovery Appliance Target id.
    Example:
    F76BBCCBD8A0D4719A8AA588375FA8BE
Query Parameters
  • Protected Database target type. This can be oracle_database or rac_database. If this parameter is not specified, the protectedDatabaseName specified will be assumed to be the protected database unique name.
    Example:
    oracle_database
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful Operation
Body ()
Root Schema : ProtectedDatabase
Type: object
Protected database properties.
Show Source
Match All
Protected database properties.
Protected database properties.
Show Source
Nested Schema : ProtectedDatabase-allOf[1]
Type: object

400 Response

Bad Request
Body ()
Root Schema : CommonErrorResponse
Type: object
Common Error response.
Show Source
Match All
Common Error response.
Show Source
Nested Schema : errors
Type: array
List of errors and their details.
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Unauthorized
Body ()
Root Schema : CommonErrorResponse
Type: object
Common Error response.
Show Source
Match All
Common Error response.
Show Source
Nested Schema : errors
Type: array
List of errors and their details.
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden
Body ()
Root Schema : CommonErrorResponse
Type: object
Common Error response.
Show Source
Match All
Common Error response.
Show Source
Nested Schema : errors
Type: array
List of errors and their details.
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Not Found
Body ()
Root Schema : CommonErrorResponse
Type: object
Common Error response.
Show Source
Match All
Common Error response.
Show Source
Nested Schema : errors
Type: array
List of errors and their details.
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top